1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

提交 Change(Pan / Zoom)任务

POST
/mj/submit/change
对已有图像执行 Pan(扩展方向)或 Zoom Out(扩展画面)操作。

网站中的模型与调用示例#

原版放大/变体,按 index#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "action": {
      "description": "操作类型:UPSCALE(放大)/VARIATION(变体)/REROLL(重绘) 等",
      "examples": [
        "UPSCALE"
      ],
      "type": "string"
    },
    "index": {
      "description": "第几张,1~4(后端要求非 0)",
      "examples": [
        1
      ],
      "type": "integer"
    },
    "notifyHook": {
      "description": "回调地址, 为空时使用全局notifyHook",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Callback URL; falls back to the global notifyHook when empty"
        }
      }
    },
    "state": {
      "description": "自定义参数",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The quality of the image that will be generated. `hd` creates images with finer detail and greater consistency. This parameter only supports `dall-e-3`."
        }
      }
    },
    "taskId": {
      "description": "源任务 ID",
      "examples": [
        "1719999999999000"
      ],
      "type": "string"
    }
  },
  "required": [
    "taskId",
    "action",
    "index"
  ]
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "taskId": "1743326750223591",
    "action": "PAN_RIGHT"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/mj/submit/change' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "1743326750223591",
    "action": "PAN_RIGHT"
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "code": 1,
    "description": "提交成功",
    "properties": {},
    "result": "1743326750223591"
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
提交 Shorten 任务
下一页
图像局部编辑(Edits)
Built with